io.vertx.ext.web.api.validation

## Enum ParameterType

- java.lang.Object
- - java.lang.Enum<ParameterType>
  - - io.vertx.ext.web.api.validation.ParameterType

- All Implemented Interfaces:
    Serializable, Comparable<ParameterType>

      public enum ParameterType
      extends Enum<ParameterType>

  ParameterType contains prebuilt type validators. To access to ParameterTypeValidator of every ParameterType, use `validationMethod()`
  Author:
    Francesco Guardiani @slinkydeveloper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASE64`
    `BOOL` It allows true, false, t, f, 1, 0
    `DATE` DATE as defined by full-date - RFC3339
    `DATETIME` DATETIME as defined by date-time - RFC3339
    `DOUBLE` DOUBLE type does the validation with Double.parseDouble(value)
    `EMAIL`
    `FLOAT` FLOAT type does the validation with Float.parseFloat(value)
    `GENERIC_STRING` STRING Type accept every string
    `HOSTNAME`
    `INT` INT type does the validation with Integer.parseInt(value)
    `IPV4`
    `IPV6`
    `TIME` TIME as defined by partial-time - RFC3339
    `URI`
    `UUID` UUID as defined by RFC4122

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParameterTypeValidator` | `validationMethod()`
    `static ParameterType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ParameterType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GENERIC_STRING

          public static final ParameterType GENERIC_STRING

      STRING Type accept every string

    - #### EMAIL

          public static final ParameterType EMAIL

    - #### URI

          public static final ParameterType URI

    - #### BOOL

          public static final ParameterType BOOL

      It allows true, false, t, f, 1, 0

    - #### INT

          public static final ParameterType INT

      INT type does the validation with Integer.parseInt(value)

    - #### FLOAT

          public static final ParameterType FLOAT

      FLOAT type does the validation with Float.parseFloat(value)

    - #### DOUBLE

          public static final ParameterType DOUBLE

      DOUBLE type does the validation with Double.parseDouble(value)

    - #### DATE

          public static final ParameterType DATE

      DATE as defined by full-date - RFC3339

    - #### DATETIME

          public static final ParameterType DATETIME

      DATETIME as defined by date-time - RFC3339

    - #### TIME

          public static final ParameterType TIME

      TIME as defined by partial-time - RFC3339

    - #### BASE64

          public static final ParameterType BASE64

    - #### IPV4

          public static final ParameterType IPV4

    - #### IPV6

          public static final ParameterType IPV6

    - #### HOSTNAME

          public static final ParameterType HOSTNAME

    - #### UUID

          public static final ParameterType UUID

      UUID as defined by RFC4122

  - ### Method Detail

    - #### values

          public static ParameterType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParameterType c : ParameterType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ParameterType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### validationMethod

          public ParameterTypeValidator validationMethod()

Copyright © 2021 Eclipse. All rights reserved.